> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Update customer tax info

PATCH https://integrators.prod.api.tabsplatform.com/v3/customers/{id}/tax-info
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/customers/integrators-api-customers-controller-update-customer-tax-info

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `id` (string, required) — Customer Id

### Body (application/json)

This endpoint expects an UpdateCustomerTaxInfoV3Dto.

- `vatId` (string, optional) — VAT identifier
- `ein` (string, optional) — EIN identifier
- `isTaxExempt` (boolean, optional) — Whether customer is tax exempt

## Response

### 200

Updated customer tax info

- `payload` (CustomerV3Dto, required) — Response payload, will be empty when success is false
- `success` (boolean, required) — Boolean with true=success, false=failure
- `message` (string, required) — Plain-text description of the result
- `error` (IntegratorsApiError, optional) — json element with any error messages or warnings

## Errors

### 400 Bad Request Error

No tax fields provided or validation failed

- `any`

### 404 Not Found Error

Customer not found

- `payload` (IntegratorsApiResponsePayload, required) — Response payload, will be empty when success is false
- `success` (boolean, required) — Boolean with true=success, false=failure
- `message` (string, required) — Plain-text description of the result
- `error` (IntegratorsApiError, optional) — json element with any error messages or warnings

### 500 Internal Server Error

Internal server error

- `payload` (IntegratorsApiResponsePayload, required) — Response payload, will be empty when success is false
- `success` (boolean, required) — Boolean with true=success, false=failure
- `message` (string, required) — Plain-text description of the result
- `error` (IntegratorsApiError, optional) — json element with any error messages or warnings

## Types

### CustomerV3Dto

- `id` (string, required) — Unique identifier for the customer
- `name` (string, required) — Preferred company name
- `companyName` (string, required, nullable) — Legal company name, null when unset
- `parentCustomerId` (string, required) — Parent Customer Id
- `defaultCurrency` (string, required) — Default currency code for the customer, if omitted will default to USD
- `primaryBillingContactName` (string, required) — Name of primary billing contact
- `primaryBillingContactEmail` (string, required) — Email of primary billing contact
- `secondaryBillingContacts` (list of string, required) — List of secondary billing contact emails
- `lastUpdatedAt` (string, required) — Timestamp of last update
- `billingAddress` (AddressV3Dto, optional) — Customer's billing address
- `shippingAddress` (AddressV3Dto, optional) — Customer's shipping address
- `externalIds` (list of ExternalIdV3Dto, optional) — List of external identifiers
- `customFields` (list of string, optional) — Customer's custom fields
- `autoCharge` (boolean, optional) — Whether auto charge is enabled for the customer. If true and customer has a default payment method defined in their billing settings, that payment method will be autocharged
- `dunningDisabled` (boolean, optional) — Whether reminder emails (dunning) are disabled for this customer. When true, no automated payment reminder emails will be sent to this customer. Note: The initial invoice email is still sent even when this is true.
- `customerTaxInfo` (CustomerTaxInfoV3Dto, optional) — Customer tax information

### IntegratorsApiError

- `code` (double, required) — API response code
- `message` (string, required) — API response message
- `errorCode` (string, optional) — Machine-readable error code
- `details` (IntegratorsApiErrorDetails, optional) — Additional details about the error

### IntegratorsApiResponsePayload

Response payload, will be empty when success is false

### AddressV3Dto

- `externalId` (string, required) — External identifier for the address
- `city` (string, required) — City name
- `state` (string, required) — State/province name
- `postalCode` (string, required) — Postal/ZIP code
- `line1` (string, required) — Primary street address
- `line2` (string, required) — Secondary address line (apt, suite, etc)
- `country` (string, optional) — Country Code
- `addressee` (string, optional) — Name of recipient/addressee

### ExternalIdV3Dto

- `type` (enum, required) — Type of external ID source
  - Allowed values: `QUICKBOOKS`, `NETSUITE`, `SALESFORCE`, `HUBSPOT`, `AVALARA`, `ANROK`, `STRIPE`, `RILLET`, `SAGE_INTACCT`, `SPHERE`, `CAMPFIRE`
- `id` (string, required) — External identifier value
- `objectType` (string, optional) — Raw CRM object API name this external id represents, e.g. Account/companies
- `objectLabel` (string, optional) — Human-readable CRM object label, e.g. Account/Company

### CustomerTaxInfoV3Dto

- `isTaxExempt` (boolean, required) — Whether customer is tax exempt
- `vatId` (string, optional) — VAT identifier
- `ein` (string, optional) — EIN identifier

### IntegratorsApiErrorDetails

Additional details about the error

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "payload": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Acme Inc.",
    "companyName": "Acme Incorporated",
    "parentCustomerId": "123e4567-e89b-12d3-a456-426614174000",
    "defaultCurrency": "USD",
    "primaryBillingContactName": "John Doe",
    "primaryBillingContactEmail": "john.doe@example.com",
    "secondaryBillingContacts": [
      "jane.doe@example.com",
      "jim.doe@example.com"
    ],
    "lastUpdatedAt": "2024-01-01T00:00:00.000Z",
    "billingAddress": {
      "externalId": "10",
      "city": "New York",
      "state": "NY",
      "postalCode": "10001",
      "line1": "123 Main St",
      "line2": "Apt 1",
      "country": "US",
      "addressee": "John Doe"
    },
    "shippingAddress": {
      "externalId": "10",
      "city": "New York",
      "state": "NY",
      "postalCode": "10001",
      "line1": "123 Main St",
      "line2": "Apt 1",
      "country": "US",
      "addressee": "John Doe"
    },
    "externalIds": [
      {
        "type": "NETSUITE",
        "id": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "customFields": [
      "string"
    ],
    "autoCharge": true,
    "dunningDisabled": false,
    "customerTaxInfo": {
      "isTaxExempt": false,
      "vatId": "DE123456789",
      "ein": "12-3456789"
    }
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "errorCode": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```